Crystal Space: csClipper Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csClipper Class Reference
[Geometry utilities]

The csClipper class is an abstract parent to all 2D clipping objects. More...

`#include <csgeom/polyclip.h>`

Inheritance diagram for csClipper:

[legend]
List of all members.

## Public Member Functions
virtual uint8 | ClipInPlace (csVector2 *InPolygon, size_t &InOutCount, csBox2 &BoundingBox)
| Wrapper function: clip a polygon in-place.
| csClipper ()
| Constructor.
uint8 | LastClipResult ()
| most recent Clipresult
virtual | ~csClipper ()
| Destructor.
## Protected Attributes
uint8 | mrClipping
| Result of most recent clipping.
## Static Protected Attributes
static csPoly2DPool * | polypool
| This variable holds a pool for 2D polygons as used by the clipper.

## Detailed Description

The csClipper class is an abstract parent to all 2D clipping objects.

Definition at line 46 of file polyclip.h.

## Constructor & Destructor Documentation

csClipper::csClipper | ( |  | ) |

Constructor.

virtual csClipper::~csClipper | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual uint8 csClipper::ClipInPlace | ( | csVector2 * | InPolygon,
|  | size_t & | InOutCount,
|  | csBox2 & | BoundingBox |
| ) |  |  | `[virtual]`

Wrapper function: clip a polygon in-place.

Implements iClipper2D.

uint8 csClipper::LastClipResult | ( |  | ) | `[inline]`

most recent Clipresult

Definition at line 71 of file polyclip.h.

## Member Data Documentation

uint8 csClipper::mrClipping`[protected]`

Result of most recent clipping.

Definition at line 54 of file polyclip.h.

csPoly2DPool* csClipper::polypool`[static, protected]`

This variable holds a pool for 2D polygons as used by the clipper.

Definition at line 51 of file polyclip.h.

The documentation for this class was generated from the following file:

- csgeom/polyclip.h